import mysql.simplesql as sql

tables = ['remaindraftbeer']

def insertRemainDraftBeer(remaindraftbeer):
    yield sql.Insert(table='remaindraftbeer', values={
        'markingcode' : remaindraftbeer.get('markingcode', None),
        'barcode': remaindraftbeer.get('barcode', None),
        'name': remaindraftbeer.get('name', None),
        'connectdate': remaindraftbeer.get('connectdate', None),
        'expirationdate': remaindraftbeer.get('expirationdate', None),
        'volume': remaindraftbeer.get('volume', None)
    })


def deleteRemainDraftBeer(remaindraftbeer):
    markingcode = remaindraftbeer.get('markingcode', None)
    if markingcode:
        yield sql.Delete(table='remaindraftbeer', whereFields=['markingcode'], whereValues=[markingcode])


def deleteRemainDraftBeerByMarkingCode(markingcode):
    yield sql.Delete(table='remaindraftbeer', whereFields=['markingcode'], whereValues=[markingcode])


def clearRemainDraftBeer():
    yield sql.DeleteAll('remaindraftbeer')
